メインコンテンツへスキップ
GET
/
cms
/
v3
/
blogs
/
posts
全ての記事を取得
curl --request GET \
  --url https://api.hubapi.com/cms/v3/blogs/posts \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "abStatus": "automated_loser_variant",
      "abTestId": "<string>",
      "archivedAt": 123,
      "archivedInDashboard": true,
      "attachedStylesheets": [
        {}
      ],
      "authorName": "<string>",
      "blogAuthorId": "<string>",
      "campaign": "<string>",
      "categoryId": 123,
      "contentGroupId": "<string>",
      "contentTypeCategory": "0",
      "created": "2023-11-07T05:31:56Z",
      "createdById": "<string>",
      "currentState": "AGENT_GENERATED",
      "currentlyPublished": true,
      "domain": "<string>",
      "dynamicPageDataSourceId": "<string>",
      "dynamicPageDataSourceType": 123,
      "dynamicPageHubDbTableId": "<string>",
      "enableDomainStylesheets": true,
      "enableGoogleAmpOutputOverride": true,
      "enableLayoutStylesheets": true,
      "featuredImage": "<string>",
      "featuredImageAltText": "<string>",
      "folderId": "<string>",
      "footerHtml": "<string>",
      "headHtml": "<string>",
      "htmlTitle": "<string>",
      "id": "<string>",
      "includeDefaultCustomCss": true,
      "language": "aa",
      "layoutSections": {},
      "linkRelCanonicalUrl": "<string>",
      "mabExperimentId": "<string>",
      "metaDescription": "<string>",
      "name": "<string>",
      "pageExpiryDate": 123,
      "pageExpiryEnabled": true,
      "pageExpiryRedirectId": 123,
      "pageExpiryRedirectUrl": "<string>",
      "password": "<string>",
      "postBody": "<string>",
      "postSummary": "<string>",
      "publicAccessRules": [
        {}
      ],
      "publicAccessRulesEnabled": true,
      "publishDate": "2023-11-07T05:31:56Z",
      "publishImmediately": true,
      "rssBody": "<string>",
      "rssSummary": "<string>",
      "slug": "<string>",
      "state": "<string>",
      "tagIds": [
        123
      ],
      "themeSettingsValues": {},
      "translatedFromId": "<string>",
      "translations": {},
      "updated": "2023-11-07T05:31:56Z",
      "updatedById": "<string>",
      "url": "<string>",
      "useFeaturedImage": true,
      "widgetContainers": {},
      "widgets": {}
    }
  ],
  "total": 123,
  "paging": {}
}

サポートされる製品

次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing Hub -Professional
Sales HubSales Hub -無料ツール
Service HubService Hub -無料ツール
Content HubContent Hub -Starter

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

after
string

最後に正常に読み取られたリソースのページ操作カーソルトークンは、より多くの結果を含むページ付きレスポンスのpaging.next.after JSONプロパティーとして返されます。

archived
boolean

アーカイブ済みの結果のみを返すかどうか。

createdAfter
string<date-time>

指定された時間より後に作成されたブログ記事のみを返します。

createdAt
string<date-time>

指定された時間ちょうどに作成されたブログ記事のみを返します。

createdBefore
string<date-time>

指定された時間より前に作成されたブログ記事のみを返します。

limit
integer<int32>

ページごとに表示する結果の最大数。

property
string

記事から返す特定のプロパティー

sort
string[]

結果の並べ替えに使用するフィールドが指定されます。有効なフィールドは「createdAt」(デフォルト)、「name」、「updatedAt」、「createdBy」、「updatedBy」です。

updatedAfter
string<date-time>

指定された時間より後に最後に更新されたブログ記事のみを返します。

updatedAt
string<date-time>

指定された時間ちょうどに最後に更新されたブログ記事のみを返します。

updatedBefore
string<date-time>

指定された時間より前に最後に更新されたブログ記事のみを返します。

レスポンス

successful operation

Response object for collections of blog posts with pagination information.

results
object[]
必須

ブログ記事のコレクション。

total
integer<int32>
必須

ブログ記事の合計数。

paging
object

Model definition for forward paging.

Last modified on March 30, 2026